Chat Completions
curl --request POST \
--url https://gateway.deepmako.com/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-wallet-address: <api-key>' \
--data '
{
"messages": [
{
"role": "user",
"content": "what is happening with Virtuals launches on Base?"
}
],
"model": "conductor",
"stream": false,
"temperature": 0.7
}
'import requests
url = "https://gateway.deepmako.com/v1/chat/completions"
payload = {
"messages": [
{
"role": "user",
"content": "what is happening with Virtuals launches on Base?"
}
],
"model": "conductor",
"stream": False,
"temperature": 0.7
}
headers = {
"x-wallet-address": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-wallet-address': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
messages: [{role: 'user', content: 'what is happening with Virtuals launches on Base?'}],
model: 'conductor',
stream: false,
temperature: 0.7
})
};
fetch('https://gateway.deepmako.com/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "chatcmpl-1718464968543",
"object": "chat.completion",
"model": "mako-32b-conductor",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "Virtuals Protocol has been one of the most active launch platforms on Base recently..."
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 1931,
"completion_tokens": 63,
"total_tokens": 1994
}
}Endpoints
Chat Completions
Send messages to Mako and receive a response with autonomous tool orchestration.
POST
/
v1
/
chat
/
completions
Chat Completions
Authorizations
Your EVM wallet address for authentication and credit tracking.
API key obtained from the gateway. Not required in free mode.
Headers
Your EVM wallet address for authentication and credit tracking.
Example:
"0x0000000000000000000000000000000000000001"
Body
application/json
Array of message objects with role and content.
Show child attributes
Show child attributes
Example:
[
{
"role": "user",
"content": "what is happening with Virtuals launches on Base?"
}
]
Model alias or canonical ID. Aliases: conductor (Mako-32B), operator (Mako-8B). Canonical IDs (mako-32b-conductor, mako-8b-operator) are also accepted.
Example:
"conductor"
Enable Server-Sent Events streaming.
Sampling temperature (0.0 to 2.0).
⌘I